Loading...
Searching...
No Matches
pcl::MultiChannel2DDataSet< DATA_TYPE, NUM_OF_CHANNELS > Class Template Reference

Holds a set of two-dimensional multi-channel data. More...

`#include <pcl/ml/multi_channel_2d_data_set.h>`

## Public Member Functions

| MultiChannel2DDataSet ()
| Constructor.
void | addData (const std::size_t width, const std::size_t height)
| Adds a new two-dimensional data block to the data set.
void | releaseDataSet ()
| Releases the data stored in the data set.
void | clear ()
| Releases the data stored in the data set.
DATA_TYPE * | operator() (const std::size_t data_set_id, const std::size_t col, const std::size_t row)
| Returns a pointer to the specified data block at the specified location.
const DATA_TYPE * | operator() (const std::size_t data_set_id, const std::size_t col, const std::size_t row) const
| Returns a pointer to the specified data block at the specified location.
DATA_TYPE & | operator() (const std::size_t data_set_id, const std::size_t col, const std::size_t row, const std::size_t channel)
| Returns a reference to the specified data block at the specified location.
const DATA_TYPE & | operator() (const std::size_t data_set_id, const std::size_t col, const std::size_t row, const std::size_t channel) const
| Returns a reference to the specified data block at the specified location.

## Detailed Description

template<class DATA_TYPE, std::size_t NUM_OF_CHANNELS>
class pcl::MultiChannel2DDataSet< DATA_TYPE, NUM_OF_CHANNELS >

Holds a set of two-dimensional multi-channel data.

Definition at line 137 of file multi_channel_2d_data_set.h.

## Constructor & Destructor Documentation

## MultiChannel2DDataSet()

template<class DATA_TYPE, std::size_t NUM_OF_CHANNELS>

pcl::MultiChannel2DDataSet< DATA_TYPE, NUM_OF_CHANNELS >::MultiChannel2DDataSet | ( |  | ) |

inline

Constructor.

Definition at line 140 of file multi_channel_2d_data_set.h.

## Member Function Documentation

## addData()

template<class DATA_TYPE, std::size_t NUM_OF_CHANNELS>

void pcl::MultiChannel2DDataSet< DATA_TYPE, NUM_OF_CHANNELS >::addData | ( | const std::size_t | width,
|  | const std::size_t | height )

inline

Adds a new two-dimensional data block to the data set.

Parameters

  [in] | width | the width of the new data block
  [in] | height | the height of the new data block

Definition at line 148 of file multi_channel_2d_data_set.h.

## clear()

template<class DATA_TYPE, std::size_t NUM_OF_CHANNELS>

void pcl::MultiChannel2DDataSet< DATA_TYPE, NUM_OF_CHANNELS >::clear | ( |  | ) |

inline

Releases the data stored in the data set.

Definition at line 169 of file multi_channel_2d_data_set.h.

## operator()() [1/4]

template<class DATA_TYPE, std::size_t NUM_OF_CHANNELS>

DATA_TYPE * pcl::MultiChannel2DDataSet< DATA_TYPE, NUM_OF_CHANNELS >::operator() | ( | const std::size_t | data_set_id,
|  | const std::size_t | col,
|  | const std::size_t | row )

inline

Returns a pointer to the specified data block at the specified location.

Parameters

  [in] | data_set_id | the index of the data block
  [in] | col | the column of the desired location
  [in] | row | the row of the desired location

Definition at line 181 of file multi_channel_2d_data_set.h.

## operator()() [2/4]

template<class DATA_TYPE, std::size_t NUM_OF_CHANNELS>

const DATA_TYPE * pcl::MultiChannel2DDataSet< DATA_TYPE, NUM_OF_CHANNELS >::operator() | ( | const std::size_t | data_set_id,
|  | const std::size_t | col,
|  | const std::size_t | row ) const

inline

Returns a pointer to the specified data block at the specified location.

Parameters

  [in] | data_set_id | the index of the data block
  [in] | col | the column of the desired location
  [in] | row | the row of the desired location

Definition at line 195 of file multi_channel_2d_data_set.h.

## operator()() [3/4]

template<class DATA_TYPE, std::size_t NUM_OF_CHANNELS>

DATA_TYPE & pcl::MultiChannel2DDataSet< DATA_TYPE, NUM_OF_CHANNELS >::operator() | ( | const std::size_t | data_set_id,
|  | const std::size_t | col,
|  | const std::size_t | row,
|  | const std::size_t | channel )

inline

Returns a reference to the specified data block at the specified location.

Parameters

  [in] | data_set_id | the index of the data block
  [in] | col | the column of the desired location
  [in] | row | the row of the desired location
  [in] | channel | the channel index

Definition at line 210 of file multi_channel_2d_data_set.h.

## operator()() [4/4]

template<class DATA_TYPE, std::size_t NUM_OF_CHANNELS>

const DATA_TYPE & pcl::MultiChannel2DDataSet< DATA_TYPE, NUM_OF_CHANNELS >::operator() | ( | const std::size_t | data_set_id,
|  | const std::size_t | col,
|  | const std::size_t | row,
|  | const std::size_t | channel ) const

inline

Returns a reference to the specified data block at the specified location.

Parameters

  [in] | data_set_id | the index of the data block
  [in] | col | the column of the desired location
  [in] | row | the row of the desired location
  [in] | channel | the channel index

Definition at line 226 of file multi_channel_2d_data_set.h.

## releaseDataSet()

template<class DATA_TYPE, std::size_t NUM_OF_CHANNELS>

void pcl::MultiChannel2DDataSet< DATA_TYPE, NUM_OF_CHANNELS >::releaseDataSet | ( |  | ) |

inline

Releases the data stored in the data set.

Definition at line 159 of file multi_channel_2d_data_set.h.

The documentation for this class was generated from the following file:

- pcl/ml/multi_channel_2d_data_set.h